/*
 * @(#)evm56k.java  1.1 28.2.1997
 *
 * Copyright (c) 1996-1997 Jrgen Hasch, hasch@t-online.de
 *
 */
import java.io.*;

/**
 * Access EVM board via serial interface
 *
 */
public class evm56k
{
  /**
   * download .CLD program to dsp, requires boot loader
   * (native C function)
   */
  public native boolean download(String name);

  /**
   * Open serial port
   * (native C function)
   */
  public native boolean open(String port);
  /**
   * close serial port
   * (native C function)
   */
  public native boolean close();
  /**
   *  set baudrate
   * (native C function)
   */
  public native boolean setbaud(int baudrate);
  /**
   * send character
   * (native C function)
   */
  public native boolean txchar(char c);
  /**
   * send 16 bit word
   * (native C function)
   */
  public native boolean txword(int i);
  /**
   * receive character
   * (native C function)
   */
  public native char rxchar();
  /**
   *  receive 16 bit word
   * (native C function)
   */
  public native int rxword();
  /**
   * receive line
   * (native C function)
   */
  public native String rxline();
  /**
   * send line
   * (native C function)
   */
  public native boolean txline(String l);
  /**
   * transmit data block
   * (native C function)
   */
  public native int rxblock(char block[], int length);
  /**
   * transmit data block
   * (native C function)
   */
  public native int txblock(char block[], int length);
  static
    { System.loadLibrary("evm56k");    }
} // finish class dsp